/*
http://www.apache.org/licenses/LICENSE-2.0.txt


Copyright 2016 Intel Corporation

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by protoc-gen-go.
// source: github.com/intelsdi-x/snap/grpc/controlproxy/rpc/control.proto
// DO NOT EDIT!

/*
Package rpc is a generated protocol buffer package.

It is generated from these files:
	github.com/intelsdi-x/snap/grpc/controlproxy/rpc/control.proto

It has these top-level messages:
	SerrorReply
	PubProcMetricsRequest
	ErrorReply
	ProcessMetricsReply
	ValidateDepsRequest
	ValidateDepsReply
	SubscribeDepsRequest
	SubscribeDepsReply
	UnsubscribeDepsRequest
	UnsubscribeDepsReply
	Map
	MapEntry
	CollectMetricsRequest
	CollectMetricsResponse
	ArrString
	GetAutodiscoverPathsReply
*/
package rpc

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import common "github.com/intelsdi-x/snap/grpc/common"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type SerrorReply struct {
}

func (m *SerrorReply) Reset()                    { *m = SerrorReply{} }
func (m *SerrorReply) String() string            { return proto.CompactTextString(m) }
func (*SerrorReply) ProtoMessage()               {}
func (*SerrorReply) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

type PubProcMetricsRequest struct {
	Metrics       []*common.Metric  `protobuf:"bytes,1,rep,name=Metrics,json=metrics" json:"Metrics,omitempty"`
	PluginName    string            `protobuf:"bytes,2,opt,name=PluginName,json=pluginName" json:"PluginName,omitempty"`
	PluginVersion int64             `protobuf:"varint,3,opt,name=PluginVersion,json=pluginVersion" json:"PluginVersion,omitempty"`
	Config        *common.ConfigMap `protobuf:"bytes,4,opt,name=Config,json=config" json:"Config,omitempty"`
	TaskId        string            `protobuf:"bytes,5,opt,name=TaskId,json=taskId" json:"TaskId,omitempty"`
}

func (m *PubProcMetricsRequest) Reset()                    { *m = PubProcMetricsRequest{} }
func (m *PubProcMetricsRequest) String() string            { return proto.CompactTextString(m) }
func (*PubProcMetricsRequest) ProtoMessage()               {}
func (*PubProcMetricsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *PubProcMetricsRequest) GetMetrics() []*common.Metric {
	if m != nil {
		return m.Metrics
	}
	return nil
}

func (m *PubProcMetricsRequest) GetConfig() *common.ConfigMap {
	if m != nil {
		return m.Config
	}
	return nil
}

type ErrorReply struct {
	Errors []string `protobuf:"bytes,1,rep,name=Errors,json=errors" json:"Errors,omitempty"`
}

func (m *ErrorReply) Reset()                    { *m = ErrorReply{} }
func (m *ErrorReply) String() string            { return proto.CompactTextString(m) }
func (*ErrorReply) ProtoMessage()               {}
func (*ErrorReply) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

type ProcessMetricsReply struct {
	Metrics []*common.Metric `protobuf:"bytes,1,rep,name=Metrics,json=metrics" json:"Metrics,omitempty"`
	Errors  []string         `protobuf:"bytes,2,rep,name=Errors,json=errors" json:"Errors,omitempty"`
}

func (m *ProcessMetricsReply) Reset()                    { *m = ProcessMetricsReply{} }
func (m *ProcessMetricsReply) String() string            { return proto.CompactTextString(m) }
func (*ProcessMetricsReply) ProtoMessage()               {}
func (*ProcessMetricsReply) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *ProcessMetricsReply) GetMetrics() []*common.Metric {
	if m != nil {
		return m.Metrics
	}
	return nil
}

type ValidateDepsRequest struct {
	Metrics []*common.Metric           `protobuf:"bytes,1,rep,name=Metrics,json=metrics" json:"Metrics,omitempty"`
	Plugins []*common.SubscribedPlugin `protobuf:"bytes,2,rep,name=Plugins,json=plugins" json:"Plugins,omitempty"`
}

func (m *ValidateDepsRequest) Reset()                    { *m = ValidateDepsRequest{} }
func (m *ValidateDepsRequest) String() string            { return proto.CompactTextString(m) }
func (*ValidateDepsRequest) ProtoMessage()               {}
func (*ValidateDepsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

func (m *ValidateDepsRequest) GetMetrics() []*common.Metric {
	if m != nil {
		return m.Metrics
	}
	return nil
}

func (m *ValidateDepsRequest) GetPlugins() []*common.SubscribedPlugin {
	if m != nil {
		return m.Plugins
	}
	return nil
}

type ValidateDepsReply struct {
	Errors []*common.SnapError `protobuf:"bytes,1,rep,name=Errors,json=errors" json:"Errors,omitempty"`
}

func (m *ValidateDepsReply) Reset()                    { *m = ValidateDepsReply{} }
func (m *ValidateDepsReply) String() string            { return proto.CompactTextString(m) }
func (*ValidateDepsReply) ProtoMessage()               {}
func (*ValidateDepsReply) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

func (m *ValidateDepsReply) GetErrors() []*common.SnapError {
	if m != nil {
		return m.Errors
	}
	return nil
}

type SubscribeDepsRequest struct {
	Requested []*common.Metric           `protobuf:"bytes,1,rep,name=Requested,json=requested" json:"Requested,omitempty"`
	Plugins   []*common.SubscribedPlugin `protobuf:"bytes,2,rep,name=Plugins,json=plugins" json:"Plugins,omitempty"`
	TaskId    string                     `protobuf:"bytes,3,opt,name=TaskId,json=taskId" json:"TaskId,omitempty"`
}

func (m *SubscribeDepsRequest) Reset()                    { *m = SubscribeDepsRequest{} }
func (m *SubscribeDepsRequest) String() string            { return proto.CompactTextString(m) }
func (*SubscribeDepsRequest) ProtoMessage()               {}
func (*SubscribeDepsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{6} }

func (m *SubscribeDepsRequest) GetRequested() []*common.Metric {
	if m != nil {
		return m.Requested
	}
	return nil
}

func (m *SubscribeDepsRequest) GetPlugins() []*common.SubscribedPlugin {
	if m != nil {
		return m.Plugins
	}
	return nil
}

type SubscribeDepsReply struct {
	Errors []*common.SnapError `protobuf:"bytes,1,rep,name=Errors,json=errors" json:"Errors,omitempty"`
}

func (m *SubscribeDepsReply) Reset()                    { *m = SubscribeDepsReply{} }
func (m *SubscribeDepsReply) String() string            { return proto.CompactTextString(m) }
func (*SubscribeDepsReply) ProtoMessage()               {}
func (*SubscribeDepsReply) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{7} }

func (m *SubscribeDepsReply) GetErrors() []*common.SnapError {
	if m != nil {
		return m.Errors
	}
	return nil
}

type UnsubscribeDepsRequest struct {
	TaskId string `protobuf:"bytes,1,opt,name=TaskId,json=taskId" json:"TaskId,omitempty"`
}

func (m *UnsubscribeDepsRequest) Reset()                    { *m = UnsubscribeDepsRequest{} }
func (m *UnsubscribeDepsRequest) String() string            { return proto.CompactTextString(m) }
func (*UnsubscribeDepsRequest) ProtoMessage()               {}
func (*UnsubscribeDepsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{8} }

type UnsubscribeDepsReply struct {
	Errors []*common.SnapError `protobuf:"bytes,1,rep,name=Errors,json=errors" json:"Errors,omitempty"`
}

func (m *UnsubscribeDepsReply) Reset()                    { *m = UnsubscribeDepsReply{} }
func (m *UnsubscribeDepsReply) String() string            { return proto.CompactTextString(m) }
func (*UnsubscribeDepsReply) ProtoMessage()               {}
func (*UnsubscribeDepsReply) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{9} }

func (m *UnsubscribeDepsReply) GetErrors() []*common.SnapError {
	if m != nil {
		return m.Errors
	}
	return nil
}

type Map struct {
	Entries []*MapEntry `protobuf:"bytes,1,rep,name=Entries,json=entries" json:"Entries,omitempty"`
}

func (m *Map) Reset()                    { *m = Map{} }
func (m *Map) String() string            { return proto.CompactTextString(m) }
func (*Map) ProtoMessage()               {}
func (*Map) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{10} }

func (m *Map) GetEntries() []*MapEntry {
	if m != nil {
		return m.Entries
	}
	return nil
}

type MapEntry struct {
	Key   string `protobuf:"bytes,1,opt,name=Key,json=key" json:"Key,omitempty"`
	Value string `protobuf:"bytes,2,opt,name=Value,json=value" json:"Value,omitempty"`
}

func (m *MapEntry) Reset()                    { *m = MapEntry{} }
func (m *MapEntry) String() string            { return proto.CompactTextString(m) }
func (*MapEntry) ProtoMessage()               {}
func (*MapEntry) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{11} }

type CollectMetricsRequest struct {
	TaskID  string          `protobuf:"bytes,1,opt,name=TaskID,json=taskID" json:"TaskID,omitempty"`
	AllTags map[string]*Map `protobuf:"bytes,2,rep,name=AllTags,json=allTags" json:"AllTags,omitempty" protobuf_key:"bytes,1,opt,name=key" protobuf_val:"bytes,2,opt,name=value"`
}

func (m *CollectMetricsRequest) Reset()                    { *m = CollectMetricsRequest{} }
func (m *CollectMetricsRequest) String() string            { return proto.CompactTextString(m) }
func (*CollectMetricsRequest) ProtoMessage()               {}
func (*CollectMetricsRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{12} }

func (m *CollectMetricsRequest) GetAllTags() map[string]*Map {
	if m != nil {
		return m.AllTags
	}
	return nil
}

type CollectMetricsResponse struct {
	Metrics []*common.Metric `protobuf:"bytes,1,rep,name=Metrics,json=metrics" json:"Metrics,omitempty"`
	Errors  []string         `protobuf:"bytes,2,rep,name=Errors,json=errors" json:"Errors,omitempty"`
}

func (m *CollectMetricsResponse) Reset()                    { *m = CollectMetricsResponse{} }
func (m *CollectMetricsResponse) String() string            { return proto.CompactTextString(m) }
func (*CollectMetricsResponse) ProtoMessage()               {}
func (*CollectMetricsResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{13} }

func (m *CollectMetricsResponse) GetMetrics() []*common.Metric {
	if m != nil {
		return m.Metrics
	}
	return nil
}

type ArrString struct {
	S []*common.NamespaceElement `protobuf:"bytes,1,rep,name=S,json=s" json:"S,omitempty"`
}

func (m *ArrString) Reset()                    { *m = ArrString{} }
func (m *ArrString) String() string            { return proto.CompactTextString(m) }
func (*ArrString) ProtoMessage()               {}
func (*ArrString) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{14} }

func (m *ArrString) GetS() []*common.NamespaceElement {
	if m != nil {
		return m.S
	}
	return nil
}

type GetAutodiscoverPathsReply struct {
	Paths []string `protobuf:"bytes,1,rep,name=Paths,json=paths" json:"Paths,omitempty"`
}

func (m *GetAutodiscoverPathsReply) Reset()                    { *m = GetAutodiscoverPathsReply{} }
func (m *GetAutodiscoverPathsReply) String() string            { return proto.CompactTextString(m) }
func (*GetAutodiscoverPathsReply) ProtoMessage()               {}
func (*GetAutodiscoverPathsReply) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{15} }

func init() {
	proto.RegisterType((*SerrorReply)(nil), "rpc.SerrorReply")
	proto.RegisterType((*PubProcMetricsRequest)(nil), "rpc.PubProcMetricsRequest")
	proto.RegisterType((*ErrorReply)(nil), "rpc.ErrorReply")
	proto.RegisterType((*ProcessMetricsReply)(nil), "rpc.ProcessMetricsReply")
	proto.RegisterType((*ValidateDepsRequest)(nil), "rpc.ValidateDepsRequest")
	proto.RegisterType((*ValidateDepsReply)(nil), "rpc.ValidateDepsReply")
	proto.RegisterType((*SubscribeDepsRequest)(nil), "rpc.SubscribeDepsRequest")
	proto.RegisterType((*SubscribeDepsReply)(nil), "rpc.SubscribeDepsReply")
	proto.RegisterType((*UnsubscribeDepsRequest)(nil), "rpc.UnsubscribeDepsRequest")
	proto.RegisterType((*UnsubscribeDepsReply)(nil), "rpc.UnsubscribeDepsReply")
	proto.RegisterType((*Map)(nil), "rpc.Map")
	proto.RegisterType((*MapEntry)(nil), "rpc.MapEntry")
	proto.RegisterType((*CollectMetricsRequest)(nil), "rpc.CollectMetricsRequest")
	proto.RegisterType((*CollectMetricsResponse)(nil), "rpc.CollectMetricsResponse")
	proto.RegisterType((*ArrString)(nil), "rpc.ArrString")
	proto.RegisterType((*GetAutodiscoverPathsReply)(nil), "rpc.GetAutodiscoverPathsReply")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion3

// Client API for MetricManager service

type MetricManagerClient interface {
	// managesMetrics from scheduler
	CollectMetrics(ctx context.Context, in *CollectMetricsRequest, opts ...grpc.CallOption) (*CollectMetricsResponse, error)
	PublishMetrics(ctx context.Context, in *PubProcMetricsRequest, opts ...grpc.CallOption) (*ErrorReply, error)
	ProcessMetrics(ctx context.Context, in *PubProcMetricsRequest, opts ...grpc.CallOption) (*ProcessMetricsReply, error)
	ValidateDeps(ctx context.Context, in *ValidateDepsRequest, opts ...grpc.CallOption) (*ValidateDepsReply, error)
	SubscribeDeps(ctx context.Context, in *SubscribeDepsRequest, opts ...grpc.CallOption) (*SubscribeDepsReply, error)
	UnsubscribeDeps(ctx context.Context, in *UnsubscribeDepsRequest, opts ...grpc.CallOption) (*UnsubscribeDepsReply, error)
	GetAutodiscoverPaths(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*GetAutodiscoverPathsReply, error)
}

type metricManagerClient struct {
	cc *grpc.ClientConn
}

func NewMetricManagerClient(cc *grpc.ClientConn) MetricManagerClient {
	return &metricManagerClient{cc}
}

func (c *metricManagerClient) CollectMetrics(ctx context.Context, in *CollectMetricsRequest, opts ...grpc.CallOption) (*CollectMetricsResponse, error) {
	out := new(CollectMetricsResponse)
	err := grpc.Invoke(ctx, "/rpc.MetricManager/CollectMetrics", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *metricManagerClient) PublishMetrics(ctx context.Context, in *PubProcMetricsRequest, opts ...grpc.CallOption) (*ErrorReply, error) {
	out := new(ErrorReply)
	err := grpc.Invoke(ctx, "/rpc.MetricManager/PublishMetrics", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *metricManagerClient) ProcessMetrics(ctx context.Context, in *PubProcMetricsRequest, opts ...grpc.CallOption) (*ProcessMetricsReply, error) {
	out := new(ProcessMetricsReply)
	err := grpc.Invoke(ctx, "/rpc.MetricManager/ProcessMetrics", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *metricManagerClient) ValidateDeps(ctx context.Context, in *ValidateDepsRequest, opts ...grpc.CallOption) (*ValidateDepsReply, error) {
	out := new(ValidateDepsReply)
	err := grpc.Invoke(ctx, "/rpc.MetricManager/ValidateDeps", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *metricManagerClient) SubscribeDeps(ctx context.Context, in *SubscribeDepsRequest, opts ...grpc.CallOption) (*SubscribeDepsReply, error) {
	out := new(SubscribeDepsReply)
	err := grpc.Invoke(ctx, "/rpc.MetricManager/SubscribeDeps", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *metricManagerClient) UnsubscribeDeps(ctx context.Context, in *UnsubscribeDepsRequest, opts ...grpc.CallOption) (*UnsubscribeDepsReply, error) {
	out := new(UnsubscribeDepsReply)
	err := grpc.Invoke(ctx, "/rpc.MetricManager/UnsubscribeDeps", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *metricManagerClient) GetAutodiscoverPaths(ctx context.Context, in *common.Empty, opts ...grpc.CallOption) (*GetAutodiscoverPathsReply, error) {
	out := new(GetAutodiscoverPathsReply)
	err := grpc.Invoke(ctx, "/rpc.MetricManager/GetAutodiscoverPaths", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for MetricManager service

type MetricManagerServer interface {
	// managesMetrics from scheduler
	CollectMetrics(context.Context, *CollectMetricsRequest) (*CollectMetricsResponse, error)
	PublishMetrics(context.Context, *PubProcMetricsRequest) (*ErrorReply, error)
	ProcessMetrics(context.Context, *PubProcMetricsRequest) (*ProcessMetricsReply, error)
	ValidateDeps(context.Context, *ValidateDepsRequest) (*ValidateDepsReply, error)
	SubscribeDeps(context.Context, *SubscribeDepsRequest) (*SubscribeDepsReply, error)
	UnsubscribeDeps(context.Context, *UnsubscribeDepsRequest) (*UnsubscribeDepsReply, error)
	GetAutodiscoverPaths(context.Context, *common.Empty) (*GetAutodiscoverPathsReply, error)
}

func RegisterMetricManagerServer(s *grpc.Server, srv MetricManagerServer) {
	s.RegisterService(&_MetricManager_serviceDesc, srv)
}

func _MetricManager_CollectMetrics_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CollectMetricsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MetricManagerServer).CollectMetrics(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rpc.MetricManager/CollectMetrics",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MetricManagerServer).CollectMetrics(ctx, req.(*CollectMetricsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MetricManager_PublishMetrics_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PubProcMetricsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MetricManagerServer).PublishMetrics(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rpc.MetricManager/PublishMetrics",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MetricManagerServer).PublishMetrics(ctx, req.(*PubProcMetricsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MetricManager_ProcessMetrics_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PubProcMetricsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MetricManagerServer).ProcessMetrics(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rpc.MetricManager/ProcessMetrics",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MetricManagerServer).ProcessMetrics(ctx, req.(*PubProcMetricsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MetricManager_ValidateDeps_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ValidateDepsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MetricManagerServer).ValidateDeps(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rpc.MetricManager/ValidateDeps",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MetricManagerServer).ValidateDeps(ctx, req.(*ValidateDepsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MetricManager_SubscribeDeps_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(SubscribeDepsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MetricManagerServer).SubscribeDeps(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rpc.MetricManager/SubscribeDeps",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MetricManagerServer).SubscribeDeps(ctx, req.(*SubscribeDepsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MetricManager_UnsubscribeDeps_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UnsubscribeDepsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MetricManagerServer).UnsubscribeDeps(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rpc.MetricManager/UnsubscribeDeps",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MetricManagerServer).UnsubscribeDeps(ctx, req.(*UnsubscribeDepsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _MetricManager_GetAutodiscoverPaths_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(common.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MetricManagerServer).GetAutodiscoverPaths(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rpc.MetricManager/GetAutodiscoverPaths",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MetricManagerServer).GetAutodiscoverPaths(ctx, req.(*common.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

var _MetricManager_serviceDesc = grpc.ServiceDesc{
	ServiceName: "rpc.MetricManager",
	HandlerType: (*MetricManagerServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CollectMetrics",
			Handler:    _MetricManager_CollectMetrics_Handler,
		},
		{
			MethodName: "PublishMetrics",
			Handler:    _MetricManager_PublishMetrics_Handler,
		},
		{
			MethodName: "ProcessMetrics",
			Handler:    _MetricManager_ProcessMetrics_Handler,
		},
		{
			MethodName: "ValidateDeps",
			Handler:    _MetricManager_ValidateDeps_Handler,
		},
		{
			MethodName: "SubscribeDeps",
			Handler:    _MetricManager_SubscribeDeps_Handler,
		},
		{
			MethodName: "UnsubscribeDeps",
			Handler:    _MetricManager_UnsubscribeDeps_Handler,
		},
		{
			MethodName: "GetAutodiscoverPaths",
			Handler:    _MetricManager_GetAutodiscoverPaths_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: fileDescriptor0,
}

func init() {
	proto.RegisterFile("github.com/intelsdi-x/snap/grpc/controlproxy/rpc/control.proto", fileDescriptor0)
}

var fileDescriptor0 = []byte{
	// 748 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0xac, 0x55, 0xdd, 0x4e, 0x1a, 0x41,
	0x14, 0x66, 0x5d, 0x01, 0x39, 0x08, 0xd6, 0x11, 0x29, 0x6e, 0x13, 0x43, 0x36, 0xa6, 0x62, 0xd2,
	0x42, 0x8b, 0x37, 0x4d, 0x2f, 0x34, 0x54, 0x88, 0x6d, 0x0c, 0x0d, 0x59, 0xac, 0x4d, 0x7a, 0x37,
	0x2c, 0x53, 0xdc, 0xb8, 0xec, 0x4c, 0x67, 0x66, 0x8d, 0xbc, 0x41, 0x2f, 0xfb, 0x38, 0x7d, 0x86,
	0x3e, 0x55, 0xb3, 0x3b, 0xbb, 0xc8, 0xe2, 0xda, 0x56, 0xd3, 0x2b, 0xf6, 0xfc, 0xcc, 0x77, 0xbe,
	0xef, 0xcc, 0x9c, 0x03, 0x1c, 0x4d, 0x1c, 0x79, 0xe9, 0x8f, 0x9a, 0x36, 0x9d, 0xb6, 0x1c, 0x4f,
	0x12, 0x57, 0x8c, 0x9d, 0x97, 0x37, 0x2d, 0xe1, 0x61, 0xd6, 0x9a, 0x70, 0x66, 0xb7, 0x6c, 0xea,
	0x49, 0x4e, 0x5d, 0xc6, 0xe9, 0xcd, 0xac, 0xb5, 0xe0, 0x68, 0x32, 0x4e, 0x25, 0x45, 0x3a, 0x67,
	0xb6, 0x71, 0xf8, 0x77, 0x90, 0xe9, 0x94, 0x7a, 0xd1, 0x8f, 0x3a, 0x69, 0x96, 0xa0, 0x38, 0x24,
	0x9c, 0x53, 0x6e, 0x11, 0xe6, 0xce, 0xcc, 0x5f, 0x1a, 0x6c, 0x0f, 0xfc, 0xd1, 0x80, 0x53, 0xbb,
	0x4f, 0x24, 0x77, 0x6c, 0x61, 0x91, 0x6f, 0x3e, 0x11, 0x12, 0x35, 0x20, 0x1f, 0x79, 0x6a, 0x5a,
	0x5d, 0x6f, 0x14, 0xdb, 0xe5, 0x66, 0x04, 0xa4, 0xdc, 0x56, 0x7e, 0xaa, 0xc2, 0x68, 0x17, 0x60,
	0xe0, 0xfa, 0x13, 0xc7, 0xfb, 0x88, 0xa7, 0xa4, 0xb6, 0x52, 0xd7, 0x1a, 0x05, 0x0b, 0xd8, 0xdc,
	0x83, 0xf6, 0xa0, 0xa4, 0xe2, 0x17, 0x84, 0x0b, 0x87, 0x7a, 0x35, 0xbd, 0xae, 0x35, 0x74, 0xab,
	0xc4, 0x16, 0x9d, 0xe8, 0x00, 0x72, 0x27, 0xd4, 0xfb, 0xea, 0x4c, 0x6a, 0xab, 0x75, 0xad, 0x51,
	0x6c, 0x6f, 0xc6, 0xe5, 0x94, 0xb7, 0x8f, 0x99, 0x95, 0xb3, 0xc3, 0x4f, 0x54, 0x85, 0xdc, 0x39,
	0x16, 0x57, 0x1f, 0xc6, 0xb5, 0x6c, 0x58, 0x2c, 0x27, 0x43, 0xcb, 0xdc, 0x03, 0xe8, 0xcd, 0xa5,
	0x05, 0x59, 0xa1, 0xa5, 0xf8, 0x17, 0xac, 0x5c, 0x28, 0x5b, 0x98, 0x9f, 0x61, 0x2b, 0x90, 0x4b,
	0x84, 0x98, 0x2b, 0x0e, 0xd2, 0xff, 0x5d, 0xef, 0x2d, 0xf0, 0x4a, 0x02, 0x58, 0xc0, 0xd6, 0x05,
	0x76, 0x9d, 0x31, 0x96, 0xa4, 0x4b, 0xd8, 0x23, 0x1a, 0xd9, 0x86, 0xbc, 0x6a, 0x94, 0x42, 0x2e,
	0xb6, 0x6b, 0x71, 0xe6, 0xd0, 0x1f, 0x09, 0x9b, 0x3b, 0x23, 0x32, 0x56, 0x09, 0x56, 0x5e, 0x35,
	0x4f, 0x98, 0x47, 0xb0, 0x99, 0x2c, 0x1a, 0x68, 0x39, 0x48, 0x48, 0x5f, 0xe8, 0xe5, 0xd0, 0xc3,
	0x4c, 0xb5, 0x28, 0x26, 0xfd, 0x43, 0x83, 0xca, 0x1c, 0x7d, 0x91, 0xf6, 0x0b, 0x28, 0x44, 0x9f,
	0x64, 0x7c, 0x0f, 0xf1, 0x02, 0x8f, 0x13, 0x1e, 0x43, 0x7d, 0xe1, 0x1a, 0xf5, 0xc4, 0x35, 0x1e,
	0x03, 0x5a, 0x62, 0xf4, 0x40, 0x4d, 0xaf, 0xa0, 0xfa, 0xc9, 0x13, 0x69, 0xa2, 0x6e, 0x4b, 0x6a,
	0x89, 0x92, 0x1d, 0xa8, 0xdc, 0x39, 0xf1, 0xc0, 0xa2, 0x4d, 0xd0, 0xfb, 0x98, 0xa1, 0x7d, 0xc8,
	0xf7, 0x3c, 0xc9, 0x1d, 0x12, 0x1f, 0x29, 0x35, 0x39, 0xb3, 0x9b, 0x7d, 0xcc, 0x02, 0xf7, 0xcc,
	0xca, 0x13, 0x15, 0x35, 0xdb, 0xb0, 0x16, 0x3b, 0xd1, 0x13, 0xd0, 0xcf, 0xc8, 0x2c, 0xe2, 0xa4,
	0x5f, 0x91, 0x19, 0xaa, 0x40, 0xf6, 0x02, 0xbb, 0x7e, 0x3c, 0x4e, 0xd9, 0xeb, 0xc0, 0x30, 0x7f,
	0x6a, 0xb0, 0x7d, 0x42, 0x5d, 0x97, 0xd8, 0x72, 0x69, 0x5a, 0x63, 0x61, 0xdd, 0x84, 0xb0, 0x2e,
	0xea, 0x40, 0xbe, 0xe3, 0xba, 0xe7, 0x78, 0x12, 0xdf, 0xcb, 0x7e, 0x48, 0x27, 0x15, 0xa4, 0x19,
	0x65, 0x46, 0x44, 0xb1, 0xb2, 0x8c, 0x2e, 0xac, 0x2f, 0x06, 0x02, 0xb2, 0x57, 0x49, 0xb2, 0xbb,
	0xa0, 0xf8, 0x85, 0x64, 0x8b, 0xed, 0xb5, 0x58, 0x71, 0x44, 0xfb, 0xed, 0xca, 0x1b, 0xcd, 0xfc,
	0x02, 0xd5, 0xe5, 0xa2, 0x82, 0x51, 0x4f, 0x90, 0xff, 0x30, 0x78, 0x87, 0x50, 0xe8, 0x70, 0x3e,
	0x94, 0xdc, 0xf1, 0x26, 0xe8, 0x39, 0x68, 0xc3, 0x08, 0x68, 0xfe, 0x06, 0x83, 0x35, 0x24, 0x18,
	0xb6, 0x49, 0xcf, 0x25, 0x53, 0xe2, 0x49, 0x4b, 0x13, 0xe6, 0x6b, 0xd8, 0x39, 0x25, 0xb2, 0xe3,
	0x4b, 0x3a, 0x76, 0x84, 0x4d, 0xaf, 0x09, 0x1f, 0x60, 0x79, 0x19, 0xdd, 0x7b, 0x05, 0xb2, 0xa1,
	0x15, 0xad, 0x8e, 0x2c, 0x0b, 0x8c, 0xf6, 0xf7, 0x55, 0x28, 0x29, 0x4e, 0x7d, 0xec, 0xe1, 0x09,
	0xe1, 0xe8, 0x0c, 0xca, 0x49, 0x55, 0xc8, 0xb8, 0xbf, 0xbf, 0xc6, 0xb3, 0xd4, 0x98, 0x6a, 0x83,
	0x99, 0x41, 0xc7, 0x50, 0x1e, 0xf8, 0x23, 0xd7, 0x11, 0x97, 0x49, 0xb0, 0xd4, 0xfd, 0x6c, 0x6c,
	0x84, 0xb1, 0xdb, 0x7d, 0x67, 0x66, 0xd0, 0x7b, 0x28, 0x27, 0x37, 0xdb, 0x1f, 0x01, 0x6a, 0x2a,
	0x76, 0x77, 0x15, 0x9a, 0x19, 0xf4, 0x0e, 0xd6, 0x17, 0xb7, 0x0a, 0x52, 0xb9, 0x29, 0xdb, 0xcd,
	0xa8, 0xa6, 0x44, 0x14, 0x46, 0x0f, 0x4a, 0x89, 0x31, 0x46, 0x3b, 0x61, 0x6a, 0xda, 0xb2, 0x31,
	0x9e, 0xa6, 0x85, 0x14, 0xcc, 0x19, 0x6c, 0x2c, 0x8d, 0x26, 0x52, 0x7d, 0x4c, 0x1f, 0x71, 0x63,
	0x27, 0x3d, 0xa8, 0xc0, 0x4e, 0xa1, 0x92, 0x76, 0xe9, 0xa8, 0x14, 0xbf, 0x94, 0xde, 0x94, 0xc9,
	0x99, 0xb1, 0x1b, 0x62, 0xdc, 0xfb, 0x3c, 0xcc, 0xcc, 0x28, 0x17, 0xfe, 0x9b, 0x1e, 0xfe, 0x0e,
	0x00, 0x00, 0xff, 0xff, 0x1b, 0x5c, 0xfe, 0x59, 0xc9, 0x07, 0x00, 0x00,
}
